> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns all TLS Certs SPKIs of the DSM endpoints
Deprecated(legacy), please use API "/sys/v1/tls_public_keys" instead

> Returns all TLS Certs SPKIs of the DSM endpoints
Deprecated(legacy), please use API "/sys/v1/tls_public_keys" instead

## OpenAPI

````json GET /sys/v1/tls_certificates
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/tls_certificates": {
      "get": {
        "operationId": "TlsCertsSpki",
        "tags": [
          "Misc"
        ],
        "summary": "Returns all TLS Certs SPKIs of the DSM endpoints\nDeprecated(legacy), please use API \"/sys/v1/tls_public_keys\" instead",
        "description": "Returns all TLS Certs SPKIs of the DSM endpoints\nDeprecated(legacy), please use API \"/sys/v1/tls_public_keys\" instead",
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TlsCertsSpkiResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "TlsCertsSpkiResponse": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "tls_certificates_info": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/TlsCertificateSpki"
                },
                "description": "A list of leaf server certificates used for\nTLS connections by DSM."
              }
            },
            "required": [
              "tls_certificates_info"
            ]
          }
        ]
      },
      "TlsCertificateSpki": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "cert_spki": {
                "type": "string",
                "format": "byte",
                "description": "The TbsCertificate's spki value."
              },
              "is_active": {
                "type": "boolean",
                "description": "True if the certificate is currently active."
              }
            },
            "required": [
              "cert_spki",
              "is_active"
            ]
          }
        ]
      }
    }
  }
}
````

